bm::all_set< T >::all_set_block Struct Reference

`#include <bmfunc.h>`

## Public Member Functions

| all_set_block () BMNOEXCEPT

## Data Fields

bm::word_t BM_VECT_ALIGN *_s[bm::set_sub_array_size] | BM_VECT_ALIGN_ATTR
bm::word_t BM_VECT_ALIGN _p[bm::set_block_size] | BM_VECT_ALIGN_ATTR
bm::word_t * | _p_fullp

## Detailed Description

template<bool T>
struct bm::all_set< T >::all_set_block

Definition at line 1357 of file bmfunc.h.

## Constructor & Destructor Documentation

## all_set_block()

template<bool T>

bm::all_set< T >::all_set_block::all_set_block | ( |  | ) |

inline

Definition at line 1363 of file bmfunc.h.

References bm::_copyright< T >::_p, _p_fullp, BMNOEXCEPT, and bm::set_sub_array_size.

## Field Documentation

## _p_fullp

template<bool T>

bm::word_t* bm::all_set< T >::all_set_block::_p_fullp

Definition at line 1361 of file bmfunc.h.

Referenced by all_set_block().

## BM_VECT_ALIGN_ATTR [1/2]

template<bool T>

bm::word_t BM_VECT_ALIGN _p [bm::set_block_size] bm::all_set< T >::all_set_block::BM_VECT_ALIGN_ATTR

Definition at line 1360 of file bmfunc.h.

## BM_VECT_ALIGN_ATTR [2/2]

template<bool T>

bm::word_t BM_VECT_ALIGN* _s [bm::set_sub_array_size] bm::all_set< T >::all_set_block::BM_VECT_ALIGN_ATTR

Definition at line 1359 of file bmfunc.h.

The documentation for this struct was generated from the following file:

- bmfunc.h